               % for constants if included
                e_c  =recserar(randn(obs,m),zeros(1,m),ar(1)*ones(1,m)); % shocks for TV intercepts
                kbeta=recserar(e_c,rand(1,m),ones(1,m)); % random walk intercepts
                bb   = repmat((maxc(abs(kbeta))),1,obs)';
                cbeta=(1./bb).*kbeta; % bound the RW coefficients to 1
                beta=zeros(obs,m^2);
                firstlag=zeros(obs,m);
                % plot(xbeta(:,end-1:end));
                u_1=recserar(randn(obs+1,m),randn(1,m),ar(2)*ones(1,m)); %shocks for the VAR
                % here simulate stoch-volatility
                sigma_t = recserar(sqrt(sigma_v)*randn(obs+1,m),randn(1,m),ar_v*ones(1,m)); %shocks for the VAR
                u       = normaliz(u_1.*exp(sigma_t));
                y1      = [u(1,:);zeros(obs,m)];